festival (1:2.5.0-2) unstable; urgency=medium

  * Fix text2wave resampling by resamping *before* counting the number of
    samples. (Closes: Bug#890018).
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 18:09:00 +0200

festival (1:2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Build-Depends on libestools-dev to prevent FTBFS
  * Enable hardening
  * Multiple minor improvements to the packaging

 -- Paul Gevers <elbrus@debian.org>  Thu, 18 Jan 2018 22:02:29 +0100

festival (1:2.4~release-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * Set maintainer to TTS team to make sure it is in our radar.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Drop libaudiofile-dev build-dep, now unused. (Closes: 857669)
  * festival.postinst: Pass --home /nonexistent to adduser.

  [ Sergio Oller ]
  * language.get_voices allows the use of language aliases. Closes LP: #1650237.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2017 19:38:08 +0100

festival (1:2.4~release-3) unstable; urgency=medium

  * rules: Simplify strip rule.
  * compat: Bump to 9.
  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).
  * control: Bump libestools-dev dependency version to fix build with gcc-6.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:32:24 +0200

festival (1:2.4~release-2) unstable; urgency=medium

  * control: Build-depend on libestools-dev instead of libestools2.4-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 May 2015 01:55:56 +0200

festival (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4

  [ Samuel Thibault ]
  * watch: Generalize rule.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:06:23 +0200

festival (1:2.1~release-8) unstable; urgency=medium

  [ Sergio Oller ]
  * voice.list lists voices even if they do not use proclaim_voice,
    as some upstream voices do not use that convention. (Closes: 732083)
  * Fix libestools2.1-dev version dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 10:20:52 +0200

festival (1:2.1~release-7) unstable; urgency=low

  [ Sergio Oller ]
  * Improved performance by reducing disk i/o on HTS voices and by avoiding
    redundant HTS model reloads.
  * Rewritten text2wave:
      - Linear in CPU with respect to text length.
      - Constant in maximum memory usage no matter the text length.
      - Waves were temporary saved to disk and loaded from it.
        Now, disk output is reduced by half and disk input is 
        reduced to almost 0.
  * Build festival-dbg package
  * Build festival-doc package
  * Language selection chooses only among installed voices supporting
    the requested language. (Closes: 732083)

  [ Peter Drysdale ]
  * Remove sys-rc | file-rc dependency - we already ship with
    init files off due to security issues. (Closes: 734474)

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * README.testing: add.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:38 +0200

festival (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * Do not build EsounD support as ESD is long deprecated by Gnome.

  [ Sergio Oller ]
  * Enable PulseAudio native support. Original implementation by
    Matthias Clasen. Depends on libestools-2.1 (>=1:2.1~release-6).
  * Enable ALSA native support.
  * Updated README.Debian to reflect the new audio module options and
    how to set them up.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:20:47 +0200

festival (1:2.1~release-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: does not define DEB_HOST_MULTIARCH":
    set and export DEB_HOST_MULTIARCH in debian/rules, thanks to Ivo De Decker
    for the solution.
    Build-depend on dpkg-dev (>= 1.16.0) to ensure DEB_HOST_MULTIARCH is
    available.
    (Closes: #696507)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Jan 2013 00:50:19 +0100

festival (1:2.1~release-5) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Peter Drysdale ]
  * Change config to point to new location of multiarch speech_tools
    during compile process. (Fixes FTBS with multiarch enabled speech_tools).
    Build-depend on the multiarch-enabled version of speech_tools.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:37:01 +0100

festival (1:2.1~release-4) unstable; urgency=low

  [ Jean-Philippe MENGUAL ]
  * Added a new build-dep with libaudiofile-dev. Closes: #657597

  [ Samuel Thibault ]
  * Add myself as uploader.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 28 Jan 2012 23:27:39 +0100

festival (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Fix clean rule again.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 08 Jan 2012 03:07:32 +0100

festival (1:2.1~release-2) unstable; urgency=low

  [ Peter Drysdale ]
  * Commits from Jean-Philippe incorporated in master
  * Fix spelling and hyphen lintian problems
  * Move to dh style packaging
  * Remove parts of redundant namespace patching and individually title
    patches. Gcc version patching no longer needed (Closes:  #592052)
  * Provide HTS compatibility module for HTS 2.1 voices (Closes: #589614)
  * General way of adding languages from Sergio Oller (Closes: #606173)
  * Include clustergen module which is on in 2.1 (Closes: #639648)
  * Add Peter Drysdale to uploaders

  [ Samuel Thibault ]
  * debian/rules: fix clean rules.
  * debian/control: depend on quilt.

  [ Jean-Philippe MENGUAL ]
  * New maintainer. Closes #601596
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Fixed debian/patches/lib_festival.scm.diff (desplays replaced with displays)
 
 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:18:09 +0200

festival (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * No longer depend on alsa-oss and oss-compat (Closes: #592411)
  * Add festival.scm for aplay setting
  * Build-Depend on speech-tools 2.1-release version

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 21:21:02 -0600

festival (1:2.0.95~beta-6) unstable; urgency=low

  * Add the multisyn directory to the installation. (Closes: #613682)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 10:14:57 -0600

festival (1:2.0.95~beta-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix making ALSA backend default (Closes: #592442).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Nov 2010 18:23:43 +0100

festival (1:2.0.95~beta-5) unstable; urgency=low

  * alsa-utils and alsa-oss do not exist on non-Linux arches; exclude
    those architectures in the dependencies.
  * Add change to README.Debian to provide hints to non-Linux users on
    configuring their sound system.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 27 Oct 2010 09:11:57 -0500

festival (1:2.0.95~beta-4) unstable; urgency=low

  * Brown paper bag: Reupload without .git directory

 -- Kumar Appaiah <akumar@debian.org>  Mon, 25 Oct 2010 23:53:18 -0500

festival (1:2.0.95~beta-3) unstable; urgency=low

  * Add patch from Samuel Thibault to make ALSA backend default.
    (Closes: #592442)
  * Standards Version is now 3.9.1 (no changes needed)
  * Depend on alsa-utils for default ALSA use.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 25 Oct 2010 21:38:04 -0500

festival (1:2.0.95~beta-2) unstable; urgency=low

  * Don't depend on alsa-oss on kfreebsd-*, since it is unavailable
    there. (Closes: #590860)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 29 Jul 2010 18:40:17 -0500

festival (1:2.0.95~beta-1) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.0 (no changes needed)
    + Updated debhelper dependency to 7
    + Added missing dependency on alsa-oss and oss-compat (Closes: #565929)
  * debian/README.Debian already provides example of .festivalrc to use
    festival with ALSA (Closes: #567514, #584634)
  * debian/rules:
    + Used dh_prep instead of obsolete dh_clean -k
    + dh_testdir and dh_testroot don't need -a argument
  * debian/source/format:
    + Updated to use source format 3.0 (quilt)

  [ Kumar Appaiah ]
  * New Upstream Release.
  * debian/source/format:
    + Revert to 1.0 to avoid quilt patching problems.
  * debian/control:
    + Depend on new speech-tools.
  * debian/patches/festival_el_utf8.diff:
    + Patch from Javier M Mora for fixing Emacs functionality
      if character set of system is UTF-8 (Closes: #572779)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 17 Jul 2010 21:25:55 -0500

festival (1.96~beta-10) unstable; urgency=low

  * Add missing part os languages.scm from Sergey Kirpichev's patch.
    (Closes: #516262, #545737)

 -- Kumar Appaiah <akumar@debian.org>  Fri, 02 Oct 2009 23:12:43 -0500

festival (1.96~beta-9) unstable; urgency=low

  * debian/control:
    + Removed c++abi2-dev from dependency as it is provided by g++
      which is build-essential
    + Wrapped up Depends and Build-Depends
    + Removed festival-gaim from Suggests as it is no longer in Sid as
      suggested by debcheck
    + Updated to Standards-Version 3.8.3
  * Added README.source file
  * debian/rules:
    + Removed lintian installation

 -- Kartik Mistry <kartik@debian.org>  Sat, 22 Aug 2009 20:45:50 +0530

festival (1.96~beta-8) unstable; urgency=low

  [Kumar Appaiah]
  * debian/control:
    + Update maintainers' addresses to debian.org address.
    + Standards version is now 3.8.0 (no changes needed).
  * debian/patches:
    + russian_support.diff: Added Russian support patches provided by
      Sergey B Kirpichev. (Closes: #516262)
    + Add default description for each patch.
  * debian/rules:
    + Copy the lintian override to the correct location; remove
      incorrect location from the festival.install file. Thanks
      to Andreas Beckmann for bringing this to our notice.
      (Closes: #532403)
  [Kartik Mistry]
  * debian/control:
    + Updated Standards-Version to 3.8.1 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Sat, 13 Jun 2009 11:12:59 +0530

festival (1.96~beta-7) unstable; urgency=high

  * Do not start festival server by default.
    (Closes: #466796)
  * Revert use of debconf.
  * debian/festival.preinst:
    + Check for obsolete configuration files.
  * debian/{festival.init,festival.scm}: Now example files,
    documented with warnings about potential security
    issues by their use.
  * debian/README.Debian: Document server start details.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 21 Feb 2008 09:40:52 +0530

festival (1.96~beta-6) unstable; urgency=high

  * Fix root security hole. Thanks to Tim Brown.
    + debian/festival.init: Read festival.scm upon start.
      (Closes: #466146)
  * debian/control:
    + Remove Debian revision from speech-tools dependency.
  * debian/festival.scm:
    + Add sane default values for server. The festival
      init script now uses these values while starting the
      server.
  * debian/README.Debian:
    + Document some changes on daemon mode.
  * debian/templates, debian/config, debian/festival.postinst:
    + Ask for server password during install.
  * debian/lintian-override:
    + Permission of /etc/festival.scm should be 0600.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 17 Feb 2008 06:45:30 +0530

festival (1.96~beta-5) unstable; urgency=low

  * debian/shlibs.local:
    + Added to provide a versioned dependency on libestools1.2.
  * debian/festival.default:
    + RUN_FESTIVAL set to yes by default.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Wed, 16 Jan 2008 09:00:50 +0530

festival (1.96~beta-4) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Updated Homepage entry

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standard-Versions to 3.7.3

  [ Kumar Appaiah ]
  * debian/festival.init:
    + Source /etc/default/festival for boot time
      startup setting. (Closes: #455404)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Wed, 02 Jan 2008 11:26:20 +0530

festival (1.96~beta-3) unstable; urgency=low

  * debian/control:
    + Add Vcs-Git and Vcs-Browser.
  * debian/patches:
    + Refresh all patches.
    + Fix the doc_festval.texi.diff to add info section
      and get rid of the lintian warning.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 27 Nov 2007 10:39:11 +0530

festival (1.96~beta-2) unstable; urgency=low

  * Uh, really removed DM-Upload-Allowed flag this time.
  * Added myself to uploaders.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 26 Nov 2007 12:07:31 -0500

festival (1.96~beta-1) unstable; urgency=low

  [Kumar Appaiah]
  * Long awaited new upstream release (Closes: #327541)
  * Added quilt support, previously applied patches is now under debian/patches
  * debian/rules:
    + Fixed old config.* warning
    + Using dh_install now to make debian/rules better and clean
  * debian/*.install: updated for better installation process

  [Kartik Mistry]
  * debian/control:
    + Updated dependencies for quilt and libestools1.2-dev as festival can't
      build without latest speech-tools
    + Added Kumar Appaiah to co-maintainer list
    + Added XS-Dm-Upload-Allowed: yes to allow Debian-Maintainer upload
  * debian/watch: updated to get correct upstream version, Thanks to Kumar
  * debian/copyright: updated copyright year
  * debian/patches: added patch src_modules_MultiSyn_path_fixes.diff to fix
    wrong paths to speech_tools
  * debian/patches: removed obsolete patches or merged patches
  * debian/rules:
    + Using export QUILT_PATCHES=./debian/patches to make it available duing
      clean chroot build
    + Added /etc/default/festival installation
  * Provided /etc/default/festival to startup option of festival at boot time
    (Closes: #287214)
  * debian/README.Debian:
    + Recommended use of alsa and provides festivalrc in it (Closes: #431169)
    + Updated for use of /etc/default/festival

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 24 Nov 2007 23:22:34 +0530

festival (1.4.3-23) unstable; urgency=low

  * config/config: provides -fPIC option to allow compilation of shared
    libraries (closes: #447665)
  * debian/control: added adduser version dependency to 3.105
    (Closes: #447978)
  * debian/control: updated dependency on libestools1.2 to 1.2.3-11
    (Closes: 447979)
  * debian/control: updated suggests, updated homepage and moved it to real
    control field
  * debian/copyright: moved copyright out of license section
  * Added debian/watch file

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 15 Oct 2007 18:20:20 +0530

festival (1.4.3-22) unstable; urgency=low

  * src/modules/Text/text_modes.cc: fixed ftbfs with g++-4.3/gcc-snapshot,
    Thanks to Ubuntu for patch (Closes: #441527)
  * debian/rules: handling strip binaries by dh_strip instead of install -s
    (Closes: #436836)
  * debian/control: fixed Suggests: field

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 27 Sep 2007 10:29:45 +0530

festival (1.4.3-21) unstable; urgency=medium

  * debian/festival.init: fixed CVE-2007-4074: priviledge escalation
    (Closes: #435445)
  * debian/festival.postinst: adding new user festival to audio group
  * debian/README.Debian: added warning about possible security flow
  * debian/control: updated dependency of sysv-rc, added dependency on adduser
  * debian/rules: a better clean target
  * lib/languages.scm: fixed typo from previous patch, Thanks to Niko Tyni
    <ntyni@iki.fi> for this (Closes: #427550)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 2 Aug 2007 13:52:29 +0530

festival (1.4.3-20) unstable; urgency=low

  * debian/control: Added file-rc along with sysv-rc in Depends for systems
    using file-rc (Closes: #431264)
  * lib/languages.scm: fixed (male1) and its friends only work once by adding
    lambda() function, Thanks to Niko Tyni <ntyni@iki.fi> for patch
    (Closes: #427550)
  * debian/rules: use $(MAKE) clean to catch any errors in clean target

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 03 Jul 2007 11:50:12 +0530

festival (1.4.3-19) unstable; urgency=low

  * debian/rules:Fixed update-rc.d failure during update (Closes: #430823)
  * Added debian/festival.postinst from Ubuntu

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 27 Jun 2007 22:02:50 +0530

festival (1.4.3-18) unstable; urgency=low

  * New maintainer (Closes: #429470)
  * Acknowledge previous NMUs (Closes: #335845, #352351)
  * Updated debhelper compability to 5
  * Updated standards-version to 3.7.2
  * debian/README.Debian: updated to standards format, fixed typos
    (Closes: #360537)
  * debian/copyright: updated to standard copyright format, added missing
    license texts
  * debian/rules: made it simpler and readable, better install target now,
    added -- multiuser option to dh_installinit from Ubuntu
  * debian/control: fixed long descriptions, minor cleanups, fixed mini
    dependency hell by moving festvox-kallpc16k | festival-voice to Recommands
    (Closes: #359152)
  * debian/control: Added available festival frontends as Suggests list
    (Closes: #366794)
  * config/config: fixed FTBFS with GCC 4.2 by removing -fno-shared-data
    option (Closes: #387107)
  * debian/festival.init: added LSBInitScript header, added lsb logging
    functions, Thanks to David Härdeman <david@hardeman.nu> for patch
    (Closes: #384861)
  * doc/festival_client.1: fixed typos, Thanks to A Costa <agcosta@gis.net>
    for patch (Closes: #360323)
  * doc/festival.1: fixed typos, Thanks to A Costa <agcosta@gis.net> for patch
    (Closes: #360322)
  * src/modules/UniSyn_diphone/us_diphone_index.cc: fix for error is sent to
    stdout instead of stderr, Thanks to Javier Serrano Polo <jasp00@terra.es>
    for patch (Closes: #407655)
  * lib/languages.scm: fixed error in the Finnish female voice definition,
    Thanks to Niko Tyni <ntyni@iki.fi> for patch (Closes: #427552)
  * lib/languages.scm: added support for Czech language, --language czech
    Thanks to Milan Zamazal <pdm@debian.org> for patch (Closes: #381260)
  * Removed unused lintian.override

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 19 Jun 2007 16:51:42 +0530

festival (1.4.3-17.2) unstable; urgency=low

  * Drop build dependency on g++-3.4. Closes: #385829.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 14:19:04 +0000

festival (1.4.3-17.1) unstable; urgency=low

  * NMU
  * Added support for italian anf finnish language selection.
    Closes: #335845. Closes: #352351.
  * Updated man page accordingly

 -- Marco Presi (Zufus) <zufus@debian.org>  Fri, 24 Mar 2006 15:55:33 +0100

festival (1.4.3-17) unstable; urgency=low

  * Synchronize package from Ubuntu.
  * (Build-)depend on c++abi2-dev.

 -- Matthias Klose <doko@debian.org>  Tue,  2 Aug 2005 10:07:25 +0000

festival (1.4.3-16ubuntu1) breezy; urgency=low

  * CXX transition: Tighten build dependency on libestools1.2-dev.
  * Build using g++-3.4, FTBFS with g++-4.0

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 May 2005 21:26:47 +0000

festival (1.4.3-16) unstable; urgency=low

  * Add ';' as a sentence delimiter.
    - Workaround for decreasing pitch in long sentences
    - Fix by Alan W Black <awb@cs.cmu.edu>
    - Closes: #284585

 -- Matthias Urlichs <smurf@debian.org>  Thu,  9 Dec 2004 18:34:40 +0100

festival (1.4.3-15) unstable; urgency=low

  * Added a-law encoding rules, along the lines of the existing u-law
    support.
    - Closes: #217007: Patch required to use festival with asterisk
      (This is a generic solution, not an Asterisk-specific hack.)
  * better shared lib support

 -- Matthias Urlichs <smurf@debian.org>  Fri, 16 Jul 2004 09:44:07 +0200

festival (1.4.3-14) unstable; urgency=medium

  * Conflict on those versions on all voice/lex packages which predate the
    move from /usr/lib to /usr/share.
    - Closes: #242086
  * De-right-align Closes: texts.

 -- Matthias Urlichs <smurf@debian.org>  Sun,  4 Apr 2004 22:59:20 +0200

festival (1.4.3-13) unstable; urgency=low

  * Depend on "festvox-kallpc16k | festival-voice" in order to avoid
    preferring non-free. Thanks to <chris@maybe.net>.
    - Closes: #235666

 -- Matthias Urlichs <smurf@debian.org>  Mon,  1 Mar 2004 22:41:26 +0100

festival (1.4.3-12) unstable; urgency=low

  * Added singing DTD.
    - Closes: #216816
  * Helpful comments for server mode.
    - Closes: #217005

 -- Matthias Urlichs <smurf@debian.org>  Mon,  9 Feb 2004 16:14:28 +0100

festival (1.4.3-11) unstable; urgency=low

  * Depend on debhelper 4.1.75
    	... which fixes a bug in dh_installcatalogs (thanks, Ardo)
  * Updated maintainer address
  * Updated Standards-Version
    	3.6.1, no changes.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 19 Oct 2003 08:14:27 +0200

festival (1.4.3-10) unstable; urgency=medium

  * debian/festival.sgmlcatalogs:
    The catalog path needs a leading slash (closes: #198928)
  * lib/festival.scm:
    typo (closes: #119998)
  * lib/tts.scm:
    Fix the path to festival's SGML files.
  * debian/rules:
    Don't create the the obsolete SGML directory (/usr/lib/sgml/cstr).

 -- Matthias Urlichs <smurf@noris.de>  13 Jun 2003 09:14:00 +0200

festival (1.4.3-9) unstable; urgency=low

  * Extract the arch-independent files from /usr/lib/festival
    (almost all of them...) to /usr/share/festival.
  * Add a new option --datadir, aka FTDATADIR.
   
    Warning: This is no longer compatible with the previous version,
    but doing anything else would be too confusing in the long run.

 -- Matthias Urlichs <smurf@noris.de>  28 May 2003 12:48:25 +0200

festival (1.4.3-8) unstable; urgency=low

  * debian/rules
    Use /usr/share/festival, not /usr/lib/festival --
    the latter in fact doesn't contain any arch-dependent data.
   
  * TEMPORARY KLUDGE: Install a symlink from /usr/lib/festival
    to /usr/share. This will be fixed later, as the Makefiles
    need to be overhauled anyway.

 -- Matthias Urlichs <smurf@noris.de>  27 May 2003 19:58:39 +0200

festival (1.4.3-7) unstable; urgency=low

  * debian/control:
    Remove short description from long description (policy 5.7.1)
  * debian/festival.sgmlcatalogs:
    Install catalog file correctly

 -- Matthias Urlichs <smurf@noris.de>  27 May 2003 19:04:40 +0200

festival (1.4.3-6) unstable; urgency=low

  * Add explicit EST_String cast to various .cc files which needed it
    (GCC got more strict...)

 -- Matthias Urlichs <smurf@noris.de>  19 May 2003 13:55:07 +0200

festival (1.4.3-5) unstable; urgency=low

  * Make loading of /etc/festival.scm optional

 -- Matthias Urlichs <smurf@noris.de>  19 May 2003 13:53:17 +0200

festival (1.4.3-4) unstable; urgency=low

  * debian/control:
    Move development libraries to section libdevel
  * debian/rules:
    Fix "find" command

 -- Matthias Urlichs <smurf@noris.de>  19 May 2003 13:51:38 +0200

festival (1.4.3-3) unstable; urgency=low

  * Switched to debhelper compat level v4
  * Fixed SGML installation (thanks, Ardo)

 -- Matthias Urlichs <smurf@noris.de>  22 Apr 2003 04:55:42 +0200

festival (1.4.3-2) unstable; urgency=low

  * Depend on festival-voice

 -- Matthias Urlichs <smurf@noris.de>  18 Apr 2003 21:46:56 +0200

festival (1.4.3-1) unstable; urgency=low

  * New maintainer.
  * Bugs in (not uploaded) NMU / see earlier changelog entries:
    Closes #115911, #143673, #179490, #167325, #160781, #186895

 -- Matthias Urlichs <smurf@noris.de>  18 Apr 2003 16:50:22 +0200

festival (1.4.3-0.2) unstable; urgency=low

  * NMU.
  * Updated SGML installation.
    - Closes: #115911
  * Shortened path to upstream.
    - Closes: #143673

 -- Matthias Urlichs <smurf@noris.de>  18 Apr 2003 15:49:21 +0200

festival (1.4.3-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.
    - Closes: #179490

 -- Matthias Urlichs <smurf@noris.de>  18 Apr 2003 01:15:13 +0200

festival (1.4.2-2.3) unstable; urgency=low

  * Make the festival server setgid audio. Closes: #167325.
  * Load /etc/festival.scm. Closes: #160781.

 -- Matthias Urlichs <smurf@noris.de>  17 Apr 2003 20:30:37 +0200

festival (1.4.2-2.2) unstable; urgency=low

  * NMU
  * Fix GCC 3.2 problems.  Closes: #186895

 -- Matthias Urlichs <smurf@noris.de>  17 Apr 2003 20:23:45 +0200

festival (1.4.2-2.1) unstable; urgency=low

  * NMU, to prevent removal from woody.
  * Made /etc/emacs/site-start.d/50festival.el a conffile. Closes: #132192
  * Fixed bashisms in rules file.

 -- Joey Hess <joeyh@debian.org>  Sat,  2 Mar 2002 18:57:33 -0500

festival (1.4.2-2) unstable; urgency=low

  * Pre-emptively make Festival *not* default to ESD audio, because it
    doesn't currently work.
  * Clean up some cruft from the init.scm that was there to work
    around bugs in 1.4.1.
  * Twiddle the XML stuff a bit more.  It still
    doesn't work perfectly since you need to (require 'sable-mode) (or
    have tts_file do it for you) before you can synth sable markup, but
    it's better than it used to be, at least.
  * Add SHELL definition to debian/rules since it contains bashisms.

 -- David Huggins-Daines <dhd@debian.org>  Fri, 24 Aug 2001 12:33:25 -0400

festival (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Add Build-Depends: debhelper (strange this hasn't been reported yet)
  * Fix prerm to remove sgml catalog entry on removal (closes: #96714)
  * Twiddle paths in sable-mode to make it DTRT (closes: #106190)

 -- David Huggins-Daines <dhd@debian.org>  Thu, 23 Aug 2001 22:28:51 -0400

festival (1.4.1p-2) unstable; urgency=low

  * Sorry ... have to rebuild this to get the correct speech-tools
    dependency.
  * Tweak the configuration stuff slightly.
  * Add Build-Depends: texinfo (closes: #93147)

 -- David Huggins-Daines <dhd@debian.org>  Mon,  9 Apr 2001 15:27:15 -0400

festival (1.4.1p-1) unstable; urgency=low

  * No longer using DBS.  Because I can't overwrite the .orig.tar.gz, I've
    added a 'p' (for 'pristine', I guess) to the version number.
    Wish our source package format wasn't so @#$%# broken... sigh...
  * Twiddled configuration to build on all systems (it will fall back to
    something reasonable, and it recognizes Debian specifically now)
  * Fix brokenness in postinst/postrm (which should actually be prerm).
    (closes: #91222)
  * Make 16-bit audio the default.  I think it's safe to say that 16-bit
    sound cards are now the vast majority.
  * Remove NAS support, which is no longer in speech_tools either.
  * Add an init script for optionally starting a festival server at boot
    time.  This is turned off by default for security reasons.
  * Apply serverdiphfdfix.patch from
    http://festvox.org/packed/festival/1.4.1/PATCHES, merge changes from
    lexicon.cc, siteinit.scm.

 -- David Huggins-Daines <dhd@debian.org>  Sun,  8 Apr 2001 17:05:38 -0400

festival (1.4.1-2.1) unstable; urgency=low

  * NMU
  * Set the "SYSTEM_TYPE" to "Linux" in
    debian/patches/speech_tools_config_config. (closes: #84496)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 16 Mar 2001 23:32:35 +0100

festival (1.4.1-2) unstable; urgency=low

  * Fix build on powerpc. Closes: #62133
  * Fix spew of compiler warnings when building.
  * Recompile to fix esound dependency issues (feh).
    Closes: #74592, #56193
  * Recompile to fix speech-tools dependency issues.
    Closes: #51630
  * Mark /etc/festival.scm as a conffile.  Closes: #52901
  * Include ESD patch from #62597.  Closes: #62597

 -- David Huggins-Daines <dhd@debian.org>  Wed,  8 Nov 2000 19:19:00 -0500

festival (1.4.1-1) unstable; urgency=low

  * Fixed m68k config file patch.  Really, really closes: #51614, I mean it.
  * New upstream (bugfix) version.  Now has esound support, included.

 -- David Huggins-Daines <dhd@debian.org>  Sat, 15 Jan 2000 01:14:31 -0500

festival (1.4.0-4) unstable; urgency=low

  * Added m68k config files (sigh).  Closes: #51614
  * Compile with -fPIC.  Closes: #51637

 -- David Huggins-Daines <dhd@debian.org>  Tue, 30 Nov 1999 10:47:38 -0500

festival (1.4.0-3) unstable; urgency=low

  * Use -l option to dh_shlibdeps.  Closes: #50602, #50600
  * Applied patch to sys-build.mak from Adam Heath.  Closes: #50327
  * Created a sparc_Linux2.2.mak.  Closes: #50472

 -- David Huggins-Daines <dhd@debian.org>  Sat, 27 Nov 1999 13:57:01 -0500

festival (1.4.0-2) unstable; urgency=low

  * Turns out the authors forgot to include a generic configuration file
    for Linux 2.2 on i386.
  * Fixed a foible in debian/rules that caused the *.so links to be
    created in the wrong package, yuck.

 -- David Huggins-Daines <dhd@debian.org>  Mon,  8 Nov 1999 23:35:27 -0500

festival (1.4.0-1) unstable; urgency=medium

  * New upstream version.  Is now free software.  Hooray.
  * Change in source format - festival and speech-tools now build from a
    single source package again, using Adam Heath's most excellent build
    system.  This allows me to eliminate many (but not all) of the nasty
    hacks previously needed to build this package.  An unfortunate side
    effect of this is that the version number of the debian package for
    speech-tools does not reflect the actual upstream numbering system.
    This is due to Festival and Speech-Tools having a build system that is
    designed with the intent that the packages will be built under the
    same directory together and installed in place.  As the authors state,
    this reflects the purpose of Festival as a research system.  It does,
    however, make life very difficult when trying to produce a
    distributable and policy-compliant Debian package.
  * Most of the documentation is in the festival-doc package now.  This is
    from the prebuilt festdoc package provided upstream, as it appears to
    be quite impossible to build the docs without a specially modified
    version of doc++ (boooooo)

 -- David Huggins-Daines <dhd@debian.org>  Sat,  6 Nov 1999 20:05:18 -0500

festival (1.3.1-4) unstable; urgency=low

  * Now installs festival.el properly.  Also, did s/stml/sable/g.  Run
    "say-minor-mode" to get a nice menu for reading your buffers.
  * Also builds info documentation (this creates a rather nasty source
    dependency on the voice packages, which I'll try to fix ASAP)
  * Also builds C++ API documentation in HTML.
  * Renamed ppc_Linux.mak to powerpc_Linux.mak (doh!)
  * Work around some RXP weirdness with respect to the location of the
    Sable DTD.  (a real fix will have to wait until a standalone RXP is
    packaged and we can link against it)

 -- David Huggins-Daines <dhd@debian.org>  Fri, 28 May 1999 00:15:49 -0400

festival (1.3.1-3) unstable; urgency=low

  * Cleaned out the Debian diff a bit
  * Added some .mak files that may or may not allow the package to
    build on non-i386 platforms.
  * Installing the Sable DTD with sgml-base now, so that it works
    automagically with Emacs, nsgmls, and the like.

 -- David Huggins-Daines <dhd@debian.org>  Tue,  4 May 1999 18:40:00 -0400

festival (1.3.1-2.1) unstable; urgency=low

  * Fixed it to compile with glibc 2.1.
  * Recompiled so it _works_ under glibc 2.1, without random crashes.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 26 Mar 1999 21:42:29 -0800

festival (1.3.1-2) unstable; urgency=low

  * Changed the name of ellpc16k to ellpc11k.
  * Recommend the kallpc* packages too.
  * Modified voices.scm so it will support the kal voice too.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 31 Jan 1999 19:47:30 -0800

festival (1.3.1-1) unstable; urgency=low

  * New upstream version.
  * Linked dynamically to new speech tools libraries.
  * Added festival-dev package (#32058).x

 -- Joey Hess <joeyh@master.debian.org>  Thu, 28 Jan 1999 22:12:22 -0800

festival (1.3.0-3) unstable; urgency=low

  * Include Sable.v0_2.dtd in the lib directory (#31304).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  5 Jan 1999 14:20:41 -0800

festival (1.3.0-2) unstable; urgency=low

  * Made short description not start with package name.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 13:40:35 -0700

festival (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright file.
  * Currently depends on xlib6, I think this is due to a bug in nas.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 15:57:21 -0700

festival (1.2.1-9) unstable; urgency=low

  * Corrected name of festvox-kdlpc16 in control file (#23886).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 25 Jun 1998 11:14:52 -0700

festival (1.2.1-8) unstable; urgency=low

  * Added nas support (#22359). Disabled by default, edit /etc/festival.scm
    to enable.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 13 May 1998 19:09:48 -0700

festival (1.2.1-7) unstable; urgency=low

  * Rebuilt linked to a version of speech-tools that supports linux16
    audio. However, it will continue to use 8 bit audio by default.
  * Added a /etc/festival.scm (equivialnt to siteinit.scm that may be
    referred to in festival's documentation) to make it easy to switch to 
    16 bit sound (part of #22359).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 12 May 1998 12:44:17 -0700

festival (1.2.1-6) unstable; urgency=low

  * Removed old unused debian/config file.
  * Do not compress some examples that are executables.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 20:36:38 -0800

festival (1.2.1-5) unstable; urgency=low

  * Fixed package descrption spelling (#18973).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 17:03:48 -0800

festival (1.2.1-4) unstable; urgency=low

  * New standards-version.
  * Rebuilt with debhlper 0.60 to fix many mode 444 and 555 files.
  * Moved audsp to /usr/lib/festival/audsp, becuase it's an internal command
    I don't want to write a man page for.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:42:55 -0800

festival (1.2.1-3) unstable; urgency=low

  * Applied patch from author to fix segfault problem (#16188).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 23 Dec 1997 11:04:10 -0500

festival (1.2.1-2) unstable; urgency=low

  * token.cc: Applied patch to fix number pronounciation (#15919).
  * tts.scm: Fixed to call nsgmls, not nsgmls-1.0 (#15928).

 -- Joey Hess <joeyh@master.debian.org>  Sun, 14 Dec 1997 13:33:33 -0500

festival (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Split out speech-tools sources, so I could use pristine sources.
  * Use debhelper.
  * Fixed some examples files to work with modified festival paths.
  * examples/benchmark: default to reading /usr/doc/festival/README.
  * lib/voices.scm: added el_diphone to the voice search list, so
    festvox-ellpc16k will work.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 26 Oct 1997 23:34:42 -0500

festival (1.1.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 14 Jul 1997 23:29:25 -0400


